: Class Util

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## grendel.ui
Class Util

    java.lang.Object
      |
      +--grendel.ui.Util

public class Util
extends java.lang.Object

Field Summary
`static int` | `CENTER`
`static int` | `LEFT`
`static int` | `RIGHT`

Constructor Summary
`Util()`

Method Summary
`static void` | `DrawTrimmedString(java.awt.Graphics g, java.lang.String aString, java.awt.FontMetrics aFM, int aWhere, int x, int y, int aWidth)`
`static java.awt.Frame` | `GetParentFrame(java.awt.Component aComponent)`
`static UIAction[]` | `MergeActions(UIAction[] aActions1, UIAction[] aActions2)`
`static GrendelToolBar` | `MergeToolBars(GrendelToolBar aBar1, GrendelToolBar aBar2)`
`static void` | `RegisterScrollingKeys(javax.swing.JScrollPane aScrollPane)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### LEFT

    public static final int LEFT

### CENTER

    public static final int CENTER

### RIGHT

    public static final int RIGHT

Constructor Detail

### Util

    public Util()

Method Detail

### DrawTrimmedString

    public static void DrawTrimmedString(java.awt.Graphics g,
                                         java.lang.String aString,
                                         java.awt.FontMetrics aFM,
                                         int aWhere,
                                         int x,
                                         int y,
                                         int aWidth)

### MergeActions

    public static UIAction[] MergeActions(UIAction[] aActions1,
                                          UIAction[] aActions2)

### MergeToolBars

    public static GrendelToolBar MergeToolBars(GrendelToolBar aBar1,
                                               GrendelToolBar aBar2)

### RegisterScrollingKeys

    public static void RegisterScrollingKeys(javax.swing.JScrollPane aScrollPane)

### GetParentFrame

    public static java.awt.Frame GetParentFrame(java.awt.Component aComponent)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD